<div class="app p-4 container-fluid">
    <div class="row">
        <div class="col col-md-6 offset-md-3">
            <div class="text-center">
                <app-card [userCard]="user" *ngIf="user; else loadingBlock"></app-card>

                <ng-template #loadingBlock>
                    <div class="row text-center justify-content-center" style="margin-top: 40vh;">
                        <span class="spinner-border spinner-grow-mg text-warning " role="status" ></span>
                        <h4 class="text-white ml-3">Loading...</h4>
                    </div>
                </ng-template>
            </div>

            <div class="container text-center mt-5" *ngIf="user">
                <button class="btn btn-success" (click)="onUpdateCard()">
                    <fa-icon [icon]="faSyncAlt"></fa-icon>
                    <strong class="ml-2">Update Card</strong>
                </button>
            </div>
        </div>
    </div>
</div>